Bug 13285 - updatedatabase throws an error if opacthemes is not set
Summary: updatedatabase throws an error if opacthemes is not set
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: 3.18
Hardware: All All
: P5 - low minor (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-18 14:06 UTC by Colin Campbell
Modified: 2016-06-21 21:36 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (1.27 KB, patch)
2014-11-18 14:13 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 13285 Do the right thing if opacthemes is not set (1.33 KB, patch)
2014-12-22 06:56 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13285 Do the right thing if opacthemes is not set (1.40 KB, patch)
2014-12-27 10:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2014-11-18 14:06:38 UTC
I think this is probably a rare case but when running updatedatabase the switch from ccsr or prog to bootstrap assumes that opacthemes has an existing value. If its not defined the update process reports two errors for the two comparisons. Add a check for definedness and if not set default to 'bootstrap' ( A value other than prog or ccsr should be preserved as was the initial intention )
Comment 1 Colin Campbell 2014-11-18 14:13:25 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-12-22 06:56:05 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-27 10:15:13 UTC
Bit worried, if opacthemes is not defined, should we point this out as a possible problem?
Comment 4 Katrin Fischer 2014-12-27 10:16:37 UTC
I misread - the value will be set.
Comment 5 Katrin Fischer 2014-12-27 10:18:16 UTC
Created attachment 34697 [details] [review]
[PASSED QA] Bug 13285 Do the right thing if opacthemes is not set

If opacthemes is not defined updatedatabase reports the
subsequent warnings as an error. Take account of the case where
it is not set and default that to bootstrap.

This is probably a rare occurence, but should be handled

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2014-12-28 23:49:38 UTC
Patch pushed to master.

Good catch Colin!
Comment 7 Chris Cormack 2014-12-30 21:27:32 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 8 Mason James 2015-01-16 19:36:12 UTC
Contains DB changes, passing for 3.16.x